org.eclipse.incquery.runtime.internal.engine

## Class LifecycleProvider

- java.lang.Object
- - org.eclipse.incquery.runtime.internal.engine.ListenerContainer<IncQueryEngineLifecycleListener>
  - - org.eclipse.incquery.runtime.internal.engine.LifecycleProvider

- All Implemented Interfaces:
    IncQueryEngineLifecycleListener

      public final class LifecycleProvider
      extends ListenerContainer<IncQueryEngineLifecycleListener>
      implements IncQueryEngineLifecycleListener

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LifecycleProvider(AdvancedIncQueryEngine incQueryEngine, org.apache.log4j.Logger logger)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `engineBecameTainted(java.lang.String description, java.lang.Throwable t)` Called after the engine has become tainted due to a fatal error
    `void` | `engineDisposed()` Called after the engine has been disposed
    `void` | `engineWiped()` Called after the engine has been wiped
    `void` | `matcherInstantiated(IncQueryMatcher<? extends IPatternMatch> matcher)` Called after a matcher is instantiated in the engine

    - ### Methods inherited from class org.eclipse.incquery.runtime.internal.engine.ListenerContainer

      `addListener, removeListener`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LifecycleProvider

          public LifecycleProvider(AdvancedIncQueryEngine incQueryEngine,
                                   org.apache.log4j.Logger logger)

      Parameters:
        `incQueryEngine` -

  - ### Method Detail

    - #### matcherInstantiated

          public void matcherInstantiated(IncQueryMatcher<? extends IPatternMatch> matcher)

      Description copied from interface: `IncQueryEngineLifecycleListener`
      Called after a matcher is instantiated in the engine
      Specified by:
        `matcherInstantiated` in interface `IncQueryEngineLifecycleListener`
      Parameters:
        `matcher` - the new matcher

    - #### engineBecameTainted

          public void engineBecameTainted(java.lang.String description,
                                          java.lang.Throwable t)

      Description copied from interface: `IncQueryEngineLifecycleListener`
      Called after the engine has become tainted due to a fatal error
      Specified by:
        `engineBecameTainted` in interface `IncQueryEngineLifecycleListener`

    - #### engineWiped

          public void engineWiped()

      Description copied from interface: `IncQueryEngineLifecycleListener`
      Called after the engine has been wiped
      Specified by:
        `engineWiped` in interface `IncQueryEngineLifecycleListener`

    - #### engineDisposed

          public void engineDisposed()

      Description copied from interface: `IncQueryEngineLifecycleListener`
      Called after the engine has been disposed
      Specified by:
        `engineDisposed` in interface `IncQueryEngineLifecycleListener`